Com instal·lar AceStream en Linux i no morir en l'intent

Els que estimem els esports i no tenim accés a tots els canals esportius de l'actualitat, en general ens enfrontem a la problemàtica que per gaudir-hem de fer ús de diverses pàgines que transmeten partits en línia, La majoria d'ells sol·liciten instal·lar AceStream, El qual tendeix a ser una mica complex instal·lar en Linux.

En aquesta guia ensenyarem a com instal·lar AceStream en Linux sense morir en l'intent, donant solució als problemes més comuns en l'actualitat. El seu ús i el contingut a què accedeixis és de la teva total responsabilitat.

Què és AceStream?

AceStream és una plataforma mutimèdia força innovadora, que ha portat a un nivell superior la reproducció d'audiovisuals a Internet. Per això ha implementat un gestor universal de càrrega d'arxius multimèdia, que utilitza les tecnologies P2P més avançades, garantint un eficaç procés d'emmagatzematge i transmissió de dades.

El programari Ace Stream, ens ofereix una sèrie de beneficis en la qual podem destacar:

  • Possibilitat de visualitzar transmissions online (TV, streams personalitzats, pel·lícules, dibuixos animats, etc.), amb una alta qualitat d'àudio i imatge.
  • Escoltar música en línia en un format en el qual no es perd cap tipus de qualitat.
  • Veure torrents en línia, sense necessitat d'esperar que s'hagi descarregat totalment.
  • Visualitzar contingut en dispositius remots (Apple TV, Chromecast, etc.) sobre protocols de comunicació com AirPlay, Google Cast i altres.
  • Permet la integració amb diverses aplicacions. Instal·lar AceStream en Linux

Com instal·lar AceStream a Linux

Per instal·lar AceStream a Linux hem de seguir diversos passos segons la distro que utilitzis, ens enfocarem en Arch Linux i Ubuntu, però esperem en un futur aconseguir instal·lar-ho en altres distros.

Instal·lar AceStream en Arch Linux i derivats

La raó principal per la qual he realitzat aquest article és perquè molts han tingut problema per instal·lar AceStream en Arch Linux, Antergos, Manjaros i derivats, la causa principal és que el pkgbuild de el connector de acestream-mozilla-plugin dóna error a l'hora d'instal·lar, la solució és summament senzilla.

Anem a instal·lar el acestream-mozilla-plugin que també ens instal·larà el acestream-engine y acestream-player-data que són els paquets necessaris per reproduir AceStream des firefox.

Primer de tot hem d'obrir una terminal i executar la següent comanda:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

El mateix solucionarà el problema de verificació que impedeix instal·lar la dependència que és necessària per a instal·lar acestream-mozilla-plugin.

Seguidament executem la següent comanda

yaourt -S acestream-mozilla-plugin

En reiterades ocasions se'ns consultarà si volem instal·lar diverses dependències hem de dir si a totes.

Instal·lar AceStream en Ubuntu i derivats

Instal·lar AceStream en Ubuntu 14.04 i derivats

Per als usuaris d'ubuntu i derivats fins a la versió 14.04 la instal·lació de AceStream serà bastant senzilla, només han d'executar les següents comandes des de la terminal:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | suo tee /etc/apt/sources.list.d/acestream.list suo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Instal·lar AceStream en Ubuntu 16.04 i derivats

Els que si hauran de batallar una mica més són els usuaris d'Ubuntu 16.04 i derivats ja que acestream no soporta aquesta versió, però gràcies a aquest article, Vaig aconseguir instal·lar-lo.

El primer que realitzarem és descarregar i instal·lar algunes dependències que no vas a poder descarregar des dels repositoris oficales, assegura't d'instal·lar els adequats per a l'arquitectura de la teva distro:

Arquitectura de 64 bits:

  1. Descarregar i instal·lar libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb pots fer-ho des del següent enllaç: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Descarregar i instal·lar segons l'ordre en què es presenten les següents dependències:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb pots fer la descàrrega de cadascuna des del següent link: https://drive.google.com/folderview?id= … e_web#list

arquitectura 32bit:

  1. Descarregar i instal·lar libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb pots fer-ho des del següent enllaç: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Descarregar i instal·lar segons l'ordre en què es presenten les següents dependències: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb pots fer la descàrrega de cadascuna des del següent link: https://drive.google.com/folderview?id= … e_web#list

Seguidament hem de continuar amb instal·lació habitual d'AceStream com el realitzem per a la versió 14.04, abrá una terminal i executi:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | suo tee /etc/apt/sources.list.d/acestream.list suo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

En alguns casos cal iniciar el servei acestream-engine.service, Per això executem les següents comandes des de la terminal:

systemctl start acestream-engine.service systemctl enable acestream-engine.service

Amb aquest tutorial esperem que puguis gaudir d'aquest gran protocol de transmissió de multimèdia que utilitza tota la capacitat de la tecnologia P2P.


El contingut d'l'article s'adhereix als nostres principis de ètica editorial. Per notificar un error punxa http://secbcaixabank.info/SECB-COVIDXNUMX-DENUNCIA-INSPECCION-PROTOCOLO-.pdf.

41 comentaris, deixa el teu

Deixa el teu comentari

La seva adreça de correu electrònic no es publicarà. Els camps obligatoris estan marcats amb *

*

*

  1. Responsable de les dades: Miguel Ángel Gatón
  2. Finalitat de les dades: Controlar l'SPAM, gestió de comentaris.
  3. Legitimació: El teu consentiment
  4. Comunicació de les dades: No es comunicaran les dades a tercers excepte per obligació legal.
  5. Emmagatzematge de les dades: Base de dades allotjada en Occentus Networks (UE)
  6. Drets: En qualsevol moment pots limitar, recuperar i esborrar la teva informació.

  1.   Juli Cèsar Camps va dir

    Bé el post però al menys en ArchLinux i aquest va ser el meu cas es necessita: «systemctl start acestream-engine.service» i «systemctl enable acestream-engine.service» for que funcioni.

    1.    llangardaix va dir

      ¿Ho estaves provant des firefox, o estaves usant un altre navegador?

  2.   UsuarioDebian va dir

    Sap algú com fer-lo funcionar en Debian setembre?

  3.   Juli Cèsar Camps va dir

    Firefox al ArchLinux

  4.   gecoxx va dir

    No se si es va publicar el meu comentari anterior ... repeteixo! triga no sé quantes hores executant-se el maleït comandament a la terminal, i això que vaig posar -noconfirm, i a la fi no funciona !!
    un altre post que no serveix per a res!

    intent d'instal·lació en Manjaro

    1.    llangardaix va dir

      Estimat que no et va funcionar, a mi em va servir perfectament, de tota manera intenta executant aquests 2 comandaments:
      "Systemctl start acestream-engine.service" i "systemctl enable acestream-engine.service"

  5.   José va dir

    bones

    aconsegueixi fer tots els passos sense cap problema. Però a l'tractar d'iniciar el servei des de la terminal em va donar dos errors;
    systemctl start acestream-engine.service
    Failed to start acestream-engine.service: Unit acestream-engine.service not found.
    systemctl enable acestream-engine.service
    Failed to execute operation: No such file or directory

    1.    gustavo va dir

      em pas exactament el mateix. la terminal em rebota aquests comandaments amb aquestes falles.

  6.   Joan M va dir

    Moltes gràcies pel post! En cas d'utilitzar Ubuntu 16.10 64 bits no podran instal·lar «acestream-player-data_3.0.2-1.1_amd64.deb». Primer han de descarregar i instal·lar aquests paquets:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Probablement calgui alguna altra dependència que està en els repos.
    Salutacions!

  7.   Milers va dir

    Bones.
    El acestream-mozilla-plugin ha deixat de funcionar a Firefox 52, com molts altres plugins NPAPI.

  8.   darco va dir

    una altra opció molt bona i senzilla és usar docker i tornar-te agnòstic del teu sistema operatiu. Usant el aceproxy, pots reproducirlo-

    He escrit un petit tutorial i un script, per facilitar l'ejecucion.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   David Martín va dir

    A la part d'instal·lar des d'Ubuntu 16.04, quan dius descarregar i instal·lar aquests arxius, com s'instal·len? a mi a l'abaixar-los i extreure'ls alguns només són un arxiu tipus LibreOffice i altres, no sé com «instal·lar-»
    Gràcies per endavant i una salutació.
    David.

  10.   vafe va dir

    O les claus no funcionen de nou, o hi ha algun error en els paquets, però en arch i manjaro és impossible instal·lar-lo.
    A l'intentar instal·lar una dependència (qwebquit) o ​​alguna cosa així entra en un bucle i no hi ha manera.
    Algú ha trobat la solució?
    Gràcias

    1.    Alejandro va dir

      Hola, per a la instal·lació en arch linux has de fer el següent:
      Instal·lar des yaourt el paquet 'acestream-launcher' amb 'yaourt -S acestream-launcher' (se't descarrega automàticament el paquet que anem habilitar continuació)
      -Habilitar acestream-engine.service, entrem a la terminal i de cap manera ROOT posem el següent
      -systemctl start acestream-engine.service
      -systemctl enable acestream-engine.service
      jo després d'això vaig reiniciar l'equip, no sé si caldrà però per si de cas
      -Amb això hauria de ser suficient però en les últimes actualitzacions d'Arch han fotut alguna cosa i no va, així que han buscat una solució passatgera, que és descarregar un arxiu, és el següent:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      font: https://aur.archlinux.org/packages/acestream-launcher/ (En els comentaris)
      un cop descarregat, ens anem a la terminal i ens dirigim a la carpeta on l'hàgim descarregat,
      procedim a instal·lar-lo amb 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz' i ja està, hauria d'anar, a la primera mai em va així que prem una segona vegada, la primera sempre dóna error, això és tot

      PD: aclarir que el suo pacman -U i no-S perquè és un paquet local obtingut de l'makepkg

      1.    vafe va dir

        Moltes gràcies pel teu interès.
        Ho he intentat tantes vegades que ja em sé de memòria les dependències, i els comentaris als paquets de la instal·lació amb yaourt. Vaig a seguir el teu consell amb el launcher ia veure si tinc sort. Ja et diré.
        Repeteixo el meu agraïment

        felipe

        1.    vafe va dir

          D'una o altra manera no funciona. Ho he intentat amb l'enllaç que posa en els comentaris, però no ho soluciona, em reconeix l'enllaç, em dóna l'opció de triar el programa, trio acestream-launcher però el VLC no s'obre.
          En consola em dóna la resposta següent.

          File «/usr/lib/python3.6/site-packages/psutil/init.py », line 1231, in _send_signal
          os.kill (self.pid, sig)

          Caldrà esperar a noves actualitzacions.
          Gràcies per la teva ajuda.

  11.   vafe va dir

    Després de la nova actualització, la resposta en consola és la següent.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Acestream engine running.
    2017 07: 28: 18 | MainThread | acestream | error during startup
    Traceback (última trucada més recent):
    File «core.c», line 1590, in
    File «core.c», line 144, in
    File «core.c», line 2, in
    ImportError: can not import name __m2crypto
    Error authenticating to Acestream!
    Media Player not running ...

    Anem millorant, ara ja reconeix el acestream, però la libcrypto segueix donant guerra.

    1.    vafe va dir

      He provat amb la instal·lació de l'paquet que recomanen a l'enllaç que em vas enviar.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      I efectivament soluciona el problema, s'obre vlc i funciona Acestream.
      Moltes gràcies per la teva ajuda-

      1.    Alejandro va dir

        Hola, perdona per la tardança, es em feia raríssim que no et funcionés quan a mi sí, estic en plasma Arch, m'alegro que t'hagi servit d'ajuda, per això estem

        En l'altra distribució que tinc que és Fedora, el que tinc és Wine emulant acestream per windows xD, per si et passes a una altra distro oa la mateixa Arch, el que m'estranya és que ni en Debian tinguin aquests paquets ...

      2.    manjarista01 va dir

        Hola i l'arxiu aquest com s'instal·la encara sóc una mica novatillo una salutació

        1.    vafe va dir

          suo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          Ho posa en el comentari anterior

  12.   chemabs va dir

    Ahir ho vaig instal·lar com a paquet snap en Kde Neon 5.8 i he al·lucinat amb el senzill i ràpid que m'ha funcionat. Estaria bé que actualitzeu l'article perquè no hi ha comparació, el procés es simplifica molt.

    sudo apt install snapd → instal·lar el sistema de gestió de paquets snap (si no el teniu instal·lat)
    snap find acestream → per comprovar que tenim el programa en els repositoris (totes les derivades de ubuntu ho haurien de tenir)
    suo snap install acestreamplayer

    Salutacions

    1.    antonio pomera va dir

      Tens tota la raó. Jo ho acabo de instal·la-en kubuntu 17.10, ja que pel mètode que aqui apareix és totalment inviable.Muchisimas gràcies

      1.    Papito va dir

        no valgut per a arquitectura i386

    2.    sie9k va dir

      Ha estat l'única manera de poder instal·lar-lo en Lubuntu 16.04.4, però no hi ha manera que guardi l'arxiu de configuració i necessito configurar un paràmetre perquè funcioni al costat de Serviio. Alguna idea per solucionar-ho?

  13.   José Antonio va dir

    Molt bon post.Una pàgina web d'obligada lectura per als novells en Linux.

  14.   pedro el novell va dir

    com ho instal·laria per antiX 16 (és una distribució linux)?

    he provat com Arch Linux i derivats, però sóc tan novell que he de fer-ho malament

  15.   Alejandro va dir

    Hola, amb els paquets sna, que comenta el company de dalt en un comentari s'ha tornat més fàcil no només per estàs distribucions sinó per a moltes. Les distribucions compatibles amb aquests paquets són aquí:
    https://snapcraft.io/

    A Debian seria de la següent manera:
    -sudo apt install snapd
    -sudo snap install core
    -sudo snap install acestreamplayer
    En Arch i derivades:
    -sudo pacman -S snapd
    -sudo systemctl enable -now snapd.socket
    -sudo snap install acestreamplayer

    En Arch (plasma) he hagut de reiniciar perquè em apareguin els paquets instal·lats, si no us apareix ja sabeu que fer.

    En Ubuntu i derivades suposo que serà com el company que l'ha instal·lat a dalt en els comentaris amb KDE neó.

    És curiós que en Gnome amb Debian es veu bastant lleig i no s'integra bé amb GTK però en plasma d'Arch s'integra força bé, l'important és que es vegi a l'marge de l'estètica.

    1.    william va dir

      això et instal·la acestream-engine?
      a mi no

      1.    Alejandro va dir

        Hola, no, no t'ho instal·la, ni falta que fa, amb els paquets snap ja ve totes les dependències cobertes, et ha de funcionar si o si.

    2.    txuber va dir

      Hola Alejandro a veure si em pots ajudar
      [Txuber @ manjaro ~] $ sudo systemctl enable -now snapd.socket
      Failed to enable unit: Unit file \ xe2 \ X80 \ x93now.service does not exist.
      en manjaro Manjaro XFCE Edition (17.0.4) x64

      1.    Alejandro va dir

        Hola, Manjaro és que no és Arch pur i la cosa pot canviar una mica, és possible que ja estigui habilitat i no calgui fer-ho, suposo que ho has provat ja saltar-se aquest pas ...

  16.   Debian va dir

    Unavez instal·lat què es fa? Perquè no s'instal·la el ace-player, no sé com fer-ho.
    Algú m'ajuda si us plau?

    1.    vafe va dir

      Si el que has instal·lat és el acestream-launcher, quan marmitons en un enllaç acestream et preguntarà amb què aplicació vols obrir l'enllaç, li dius que amb VLC, i aquest és el que va a fer les funcions de l'ace-player

      1.    Debian va dir

        Hola. El primer de tot moltíssimes gràcies per l'ajuda. Et comento. He instal·lat a Debian 9 amb gnome el paquet snap de acestream. Quan en arenavisión, que és per al que ho vull, punxa un enllaç acestream i se m'ha Avre una finestra que em dóna dues opcions, la primera és acestreamengine que si punxa en aquesta no fa res i la segona és triï una altra aplicació, li dono a triar però no m'obren les aplicacions instal·lades, se m'obre la carpeta home, de manera que no es com seleccionar l'vlc.

        Una salutació.

        1.    Alejandro va dir

          Amb el acestream-launcher no va d'el tot bé, millor que instal amb el paquet Snap com explico en o comentari més amunt.

  17.   pedro el novell va dir

    Intento instal·lar el paquet snapd, però no em deixa:

    sudo apt install snapd
    Llegint llista de paquets ... Fet
    S'està construint l'arbre de dependències
    Llegint la informació d'estat ... Fet
    E: No s'ha pogut localitzar el paquet snapd

    que faig?

  18.   Alf va dir

    Moltes gràcies és un dels programes que feia servir en windows i volia tenir-lo en linux

  19.   Oscar va dir

    Gràcies Chemabs i Alejandro! Perfecte amb Ubuntu 17.10
    sudo apt install snapd
    snap find acestream
    suo snap install acestreamplayer
    I ja està!
    L'increïble és que vas a la web oficial i t'envien a un post del seu fòrum de l'any 2014! I en el qual només esmenten fins Ubuntu 13.04!

  20.   marc barria va dir

    bones, com diuen en els comentaris anteriors funciona perfecte amb snapd a fitxer:

    suo pacman -S snapd
    suo systemctl enable snapd.socket
    reiniciar
    suo snap install acestreamplayer
    reiniciar

    i llest:

  21.   mchavez va dir

    hola, i hi ha alguna forma d'instal·lar el ace stream sense haver de fer de programador ... com es fa amb windows